log4cxx::net Namespace Reference

## Classes

class | SMTPAppender
| Send an e-mail when a specific logging event occurs, typically on errors or fatal errors. More...
class | SocketAppender
| Sends LoggingEvent objects to a remote a log server, usually Apache Chainsaw. More...
class | SocketAppenderSkeleton
| Abstract base class for SocketAppender and XMLSocketAppender. More...
class | SocketHubAppender
| Sends LoggingEvent objects to a set of remote log servers, usually a SocketNode. More...
class | SyslogAppender
| Use SyslogAppender to send log messages to a remote syslog daemon. More...
class | TelnetAppender
class | XMLSocketAppender
| Sends LoggingEvent objects in XML format to a remote a log server, usually a XMLSocketNode. More...

## Functions

| LOG4CXX_PTR_DEF (SMTPAppender)
| LOG4CXX_PTR_DEF (SocketAppender)
| LOG4CXX_PTR_DEF (SocketHubAppender)
| LOG4CXX_PTR_DEF (SyslogAppender)
| LOG4CXX_PTR_DEF (TelnetAppender)
| LOG4CXX_PTR_DEF (XMLSocketAppender)

## Function Documentation

log4cxx::net::LOG4CXX_PTR_DEF | ( | SyslogAppender |  | ) |

log4cxx::net::LOG4CXX_PTR_DEF | ( | SocketAppender |  | ) |

log4cxx::net::LOG4CXX_PTR_DEF | ( | XMLSocketAppender |  | ) |

log4cxx::net::LOG4CXX_PTR_DEF | ( | TelnetAppender |  | ) |

log4cxx::net::LOG4CXX_PTR_DEF | ( | SocketHubAppender |  | ) |

log4cxx::net::LOG4CXX_PTR_DEF | ( | SMTPAppender |  | ) |